/// <reference types="node" />
import { Client, StompSubscription } from '@stomp/stompjs';
import events = require('events');
declare class WebsocketService extends events.EventEmitter {
    url: string;
    headers: any;
    connected: boolean;
    connecting: boolean;
    stompClient: Client;
    accountSubscription: StompSubscription;
    clientSubscription: StompSubscription;
    constructor(apiKey: any, url: any);
    connect(accountId: string, clientId: string): void;
    register(accountId: string, clientId: string): void;
    checkConnected(accountId: string, clientId: string): void;
    disconnect(): void;
}
export default WebsocketService;
